Loading...
Searching...
No Matches
mongo_sync_gridfs_stream Struct Reference

Opaque GridFS file stream object type. More...

`#include <libmongo-private.h>`

Collaboration diagram for mongo_sync_gridfs_stream:
[legend]

## Data Fields

mongo_sync_gridfs_file_common | file
| Common file data.
mongo_sync_gridfs * | gfs
| The GridFS the file is on.
union { |
struct { |
bson * bson |
| The current chunk as BSON.
struct { |
const guint8 * data |
| The current chunk data, pointing into ->reader.bson.
gint32 start_offset |
| Offset to start reading data from, needed to support the binary subtype.
gint32 size |
| Size of the current chunk.
gint32 offset |
| Offset we're into the chunk.
} chunk
| Chunk state information.
} reader
| Reader-specific data.
struct { |
bson * metadata |
| Copy of the user-supplied metadata.
guint8 * buffer |
| The current output buffer.
gint32 buffer_offset |
| Offset into the output buffer.
GChecksum * checksum |
| The running checksum of the output file.
} writer
| Writer-specific data.
}; |
| Reader & Writer structure union.

## Detailed Description

Opaque GridFS file stream object type.

GridFS file stream object.